Package org.apache.felix.framework.util

# Class EventDispatcher

java.lang.Object
org.apache.felix.framework.util.EventDispatcher

public class EventDispatcher extends Object

## Constructor Summary

Constructors
Constructor
Description
`EventDispatcher(Logger logger, ServiceRegistry registry)`

## Method Summary

Modifier and Type
Method
Description
`Filter`
`addListener(BundleContext bc, Class clazz, EventListener l, Filter filter)`
`void`
`fireBundleEvent(BundleEvent event, Framework felix)`
`void`
`fireFrameworkEvent(FrameworkEvent event)`
`void`
`fireServiceEvent(ServiceEvent event, Dictionary oldProps, Framework felix)`
`Collection<ListenerHook.ListenerInfo>`
`getAllServiceListeners()`
Returns all existing service listener information into a collection of ListenerHook.ListenerInfo objects.
`ListenerHook.ListenerInfo`
`removeListener(BundleContext bc, Class clazz, EventListener l)`
`void`
`removeListeners(BundleContext bc)`
`void`
`startDispatching()`
`void`
`stopDispatching()`
`Filter`
`updateListener(BundleContext bc, Class clazz, EventListener l, Filter filter)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EventDispatcher

public EventDispatcher(Logger logger, ServiceRegistry registry)

## Method Details

### startDispatching

public void startDispatching()

### stopDispatching

public void stopDispatching()

### addListener

public Filter addListener(BundleContext bc, Class clazz, EventListener l, Filter filter)

### removeListener

public ListenerHook.ListenerInfo removeListener(BundleContext bc, Class clazz, EventListener l)

### removeListeners

public void removeListeners(BundleContext bc)

### updateListener

public Filter updateListener(BundleContext bc, Class clazz, EventListener l, Filter filter)

### getAllServiceListeners

public Collection<ListenerHook.ListenerInfo> getAllServiceListeners()
Returns all existing service listener information into a collection of ListenerHook.ListenerInfo objects. This is used the first time a listener hook is registered to synchronize it with the existing set of listeners.

Returns:
  Returns all existing service listener information into a collection of ListenerHook.ListenerInfo objects

### fireFrameworkEvent

public void fireFrameworkEvent(FrameworkEvent event)

### fireBundleEvent

public void fireBundleEvent(BundleEvent event, Framework felix)

### fireServiceEvent

public void fireServiceEvent(ServiceEvent event, Dictionary oldProps, Framework felix)